USE JunkDB
go

IF OBJECTPROPERTY(object_id('tbl1'), 'IsUserTable') = 1
    DROP TABLE tbl1
GO
 
CREATE TABLE tbl1( c1 int NOT NULL, c2 int, c3 int, c4 int)
go

CREATE INDEX ix_1 ON tbl1(c1) INCLUDE (c2)
CREATE INDEX ix_2 ON tbl1(c1)
CREATE INDEX ix_3 ON tbl1(c1) INCLUDE (c2, c3)
CREATE INDEX ix_4 ON tbl1(c1, c3) INCLUDE (c2)
CREATE INDEX ix_5 ON tbl1(c3) INCLUDE (c1, c2, c4)
CREATE INDEX ix_6 ON tbl1(c1, c2) INCLUDE (c3, c4)
go
 
CREATE INDEX ix_1f ON tbl1(c1) INCLUDE (c2)
WHERE c3 IS NOT NULL
go

CREATE INDEX ix_2f ON tbl1(c1) 
WHERE c4 > 2
go
 
CREATE INDEX ix_3f ON tbl1(c1) INCLUDE (c2, c3)
WHERE c4 > 2 AND c1 < 50 AND c2 = 12
go
 
CREATE INDEX ix_4f ON tbl1(c1, c3) INCLUDE (c2)
WHERE c4 IS NOT NULL AND c1 = 12
go
 
CREATE INDEX ix_5f ON tbl1(c3) INCLUDE (c1, c2, c4)
WHERE c1 > 5
go

CREATE INDEX ix_6f ON tbl1(c1, c2) INCLUDE (c3, c4)
WHERE c4 < 20
go

sp_SQLskills_SQL2008_helpindex tbl1
go

ALTER TABLE tbl1
ADD CONSTRAINT PK_tbl1
    PRIMARY KEY CLUSTERED (c1)
go

sp_SQLskills_SQL2008_helpindex tbl1
go
